<div class="adduser-content-space">
  <block-ui message="Loading...">
  </block-ui>
  <div class="alert-wrapper">
    <app-alert [message]="message" [type]="type" id="alert"></app-alert>
  </div>

  <h3 class="mb-3 mt-3 bold" id="heading">
    {{ addItem ? 'Add Staff' : 'Update Staff' }}
  </h3>

  <mat-tab-group class="" color="warn">
    <mat-tab label="Details">
      <div class="row">
        <div class="col-xl-3">
          <form [formGroup]="bioForm">
            <div class="row">
              <div class="col-xl-12 pr-2">
                <app-image-upload [imgPlaceholder]="'./assets/select-photo-placeholder.png'" #photo></app-image-upload>
              </div>

              <div class="col-xl-12 pr-2">
                <div class="w-100 text-right">
                  <mat-hint class="required-label-top">Required</mat-hint>
                </div>
                <mat-form-field [appearance]="apperance">
                  <mat-label>Position</mat-label>
                  <app-add-new-dropdown class="w-100 bg-white"
                                        [categoryId]="2"
                                        [isRestrictSpecCharNum]="true"
                                        formControlName="position"></app-add-new-dropdown>
                  <mat-error *ngIf="bioForm.get('position')?.hasError('required')">
                    This field is required
                  </mat-error>
                </mat-form-field>
              </div>

              <!-- Email  -->
              <div class="col-xl-12 pr-2">
                <div class="w-100 text-right required-label-top-container">
                  <span class="required-label-top">Required</span>
                </div>
                <mat-form-field [appearance]="appearance" class="full-width">
                  <mat-label>Email</mat-label>
                  <input matInput placeholder="Email id" required formControlName="emailId" autocomplete="off">
                  <mat-error *ngIf="bioForm.get('emailId').hasError('required') && bioForm.get('emailId').touched">
                    Email is required.
                  </mat-error>
                  <mat-error *ngIf="bioForm.get('emailId').hasError('pattern')">
                    Please enter a valid email address.
                  </mat-error>
                </mat-form-field>
              </div>

              <!-- Phone  -->
              <div class="col-xl-12 pr-2">
                <mat-form-field [appearance]="appearance" class="full-width">
                  <mat-label>Phone</mat-label>
                  <input matInput placeholder="Phone" type="number" formControlName="phone">
                  <mat-error *ngIf="bioForm.get('phone').hasError('pattern')">
                    Please enter a valid phone number.
                  </mat-error>
                </mat-form-field>
              </div>

              <!-- Mobile  -->
              <div class="col-xl-12 pr-2">
                <mat-form-field [appearance]="appearance" class="full-width">
                  <mat-label>Mobile</mat-label>
                  <input matInput placeholder="Mobile" type="number" formControlName="mobile">
                  <mat-error *ngIf="bioForm.get('mobile').hasError('pattern')">
                    Please enter a valid mobile number.
                  </mat-error>
                </mat-form-field>
              </div>
            </div>
          </form>
        </div>
        <div class="col-xl-6 pr-0" [ngClass]="{ 'mt-3' : appState.isTablet }">

          <app-add-user-personal-information [personalInfoForm]="personalInfoForm"
                                             *ngIf="displayPersonalInformationSection"></app-add-user-personal-information>

          <!-- ROLE & LOCATION FORM -->
          <mat-expansion-panel expanded="true" *ngIf="displayRoleSection">
            <mat-expansion-panel-header>
              <mat-panel-title>
                Role and Location
              </mat-panel-title>
            </mat-expansion-panel-header>

            <app-add-edit-user-role-and-location>
            </app-add-edit-user-role-and-location>

            <app-role-and-location [roleAndLoactionForm]='roleAndLoactionForm'
                                   [otherInfoRolePermissionForm]='otherInfoRolePermissionForm'
                                   [backtoPage]="backtoPage">
            </app-role-and-location>
          </mat-expansion-panel>

          <!-- LOCATION CONFIGURATION -->
          <div *ngIf="hasPractitionerRole">
            <form [formGroup]="statusForm">
              <div class="pl-15" formArrayName="statusArray"
                   *ngFor="let fromTo of statusForm.get('statusArray')['controls']; let i=index;">
                <div [formGroupName]="i" *ngIf="fromTo?.controls['isSelected']?.value == true">
                  <mat-expansion-panel expanded="true">
                    <mat-expansion-panel-header>
                      <mat-panel-title>
                        Practitioner Configuration - {{fromTo.controls['locationName'].value}}
                      </mat-panel-title>
                    </mat-expansion-panel-header>
                    <div class="row pt-1 pl-3 pr-3">

                      <div class="col-xl-12 k-card">
                        <div class="c-head">
                          <div>
                            <b class="content-title">Practitioner Appointment Colour</b>
                            <p class="c-content">
                              The selected color will be set as the background color for all the appointments and
                              classes scheduled for this practitioner in the appointment scheduler.
                            </p>
                          </div>
                          <div>
                            <kendo-colorpicker formControlName="practitionerCalendarColor" [format]="'hex'">
                            </kendo-colorpicker>
                          </div>
                        </div>
                      </div>

                      <div class="col-xl-12 k-card">
                        <div class="c-head">
                          <div>
                            <b class="content-title">Practitioner Scheduler Column</b>
                            <p class="c-content">
                              When enabled, will list this practitioner in the practitioner list of the appointment
                              scheduler. If disabled, the practitioner will not be listed in the practitioner list of
                              the appointment scheduler.
                            </p>
                          </div>
                          <div>
                            <kendo-switch class="wider-switch mt-3 mb-3" formControlName="isPractitionerCalendar"
                                          [onLabel]="'On'" [offLabel]="'Off'"></kendo-switch>
                          </div>
                        </div>
                      </div>
                      <div class="col-xl-12 k-card">
                        <div class="c-head">
                          <div>
                            <b class="content-title">Treatment Notes Privacy </b>
                            <p class="c-content">
                              By default, the treatment notes entered by this practitioner will be visible to all the
                              practitioners of this location. When enabled, treatment notes entered by this practitioner
                              will be visible only to self.
                            </p>
                          </div>
                          <div>
                            <kendo-switch class="wider-switch mt-3 mb-3" formControlName="treatmentNotesPrivacy"
                                          [onLabel]="'On'" [offLabel]="'Off'"></kendo-switch>
                          </div>
                        </div>
                      </div>
                      <div class="col-xl-12 k-card">
                        <div class="c-head">
                          <div>
                            <b class="content-title">Double Booking</b>
                            <p class="c-content">
                              When enabled, will allow two bookings (appointments or Class) at the same time-slot for
                              this practitioner on any day in the scheduler.
                            </p>
                          </div>
                          <div>
                            <kendo-switch class="wider-switch mt-3 mb-3" formControlName="isDoubleBooking"
                                          [onLabel]="'On'" [offLabel]="'Off'"></kendo-switch>
                          </div>
                        </div>
                      </div>
                      <div class="col-xl-12 k-card">
                        <div class="c-head">
                          <div>
                            <b class="content-title">Online Booking</b>
                            <p class="c-content">
                              When enabled, will publish this practitioner's schedule on the patient online booking
                              site, so patients can make an online booking with this practitioner.
                            </p>
                          </div>
                          <div>
                            <kendo-switch class="wider-switch mt-3 mb-3" formControlName="isPatientOnlineBooking"
                                          [onLabel]="'On'" [offLabel]="'Off'"></kendo-switch>
                          </div>
                        </div>
                      </div>
                      <div class="col-xl-12 k-card" *ngIf="fromTo.controls['isPatientOnlineBooking'].value == true">
                        <div class="c-head">
                          <div>
                            <b class="content-title">Online Booking Confirmation</b>
                            <p class="c-content">
                              Allow application to send automatic email confirmation when a patient makes online booking
                              for this practitioner
                            </p>
                          </div>
                          <div>
                            <kendo-switch class="wider-switch mt-3 mb-3" formControlName="isOnlineBooking"
                                          [onLabel]="'On'" [offLabel]="'Off'"></kendo-switch>
                          </div>
                        </div>
                      </div>
                      <div class="col-xl-12 k-card" *ngIf="fromTo.controls['isPatientOnlineBooking'].value == true">
                        <div class="c-head">
                          <div>
                            <b class="content-title">Cancelled Appointment Notification</b>
                            <p class="c-content">
                              Allows application to send automatic email notificationto Practitioner when there is a
                              cancellation
                            </p>
                          </div>
                          <div>
                            <kendo-switch class="wider-switch mt-3 mb-3" formControlName="isCancelledAppointment"
                                          [onLabel]="'On'" [offLabel]="'Off'"></kendo-switch>
                          </div>
                        </div>
                      </div>
                    </div>
                  </mat-expansion-panel>
                </div>
              </div>
            </form>
          </div>
          <!-- OTHER INFO FORM -->
          <form [formGroup]="otherInfoForm" *ngIf="displayOtherSection">
            <mat-expansion-panel expanded="true">
              <mat-expansion-panel-header>
                <mat-panel-title>
                  Other Info
                </mat-panel-title>
              </mat-expansion-panel-header>

              <div class="row">

                <!-- Email Signature  -->
                <div class="col-xl-12">
                  <div class="pb-1 required-label-top">Signature</div>
                  <app-image-upload format="signature" #signature></app-image-upload>
                </div>
                <div class="col-xl-12 d-flex align-items-center mt-3">
                  <mat-form-field [appearance]="appearance" class="full-width">
                    <mat-label>Email Signature</mat-label>
                    <textarea matInput placeholder="Email Signature" formControlName="emailSignature"
                              rows="3"></textarea>
                  </mat-form-field>
                </div>

                <!-- Biography  -->
                <div class="col-xl-12 d-flex align-items-center">
                  <mat-form-field [appearance]="appearance" class="full-width">
                    <mat-label>Biography</mat-label>
                    <textarea matInput placeholder="Biography" formControlName="biography" rows="3"></textarea>
                  </mat-form-field>
                </div>

                <!-- Notes  -->
                <div class="col-xl-12 d-flex align-items-center">
                  <mat-form-field [appearance]="appearance" class="full-width">
                    <mat-label>Notes</mat-label>
                    <textarea matInput placeholder="Notes" formControlName="notes" rows="3"></textarea>
                  </mat-form-field>
                </div>
              </div>

            </mat-expansion-panel>
          </form>
        </div>

        <div class="col-xl-3 pl-0" [ngClass]="{ 'mt-3' : appState.isTablet }">
          <form [formGroup]="statusAccessForm">
            <div class="row pl-4">
              <div class="col-xl-4 col-md-4">
                <h6 class="bold black">Status:</h6>
                <kendo-switch class="wider-switch" style="width: 111px !important;" formControlName="isStatus"
                              [onLabel]="'Active'" [offLabel]="'Inactive'">
                </kendo-switch>
              </div>
              <div class="col-xl-4 col-md-4" style="margin-left: 24px;">
                <h6 class="bold black">Access:</h6>
                <kendo-switch class="wider-switch" style="width: 111px !important;" formControlName="isAccess"
                              [onLabel]="'Allowed'" [offLabel]="'Not Allowed'">
                </kendo-switch>
              </div>
            </div>
            <mat-divider class="mt-3"></mat-divider>

            <!-- RIGHT SIDE TAB LIST -->
            <div class="row pl-4">
              <div class="col-12 c-vertical-wrapper w-100">
                <div class="vertical-menu" *ngFor="let tab of staffTabs">
                  <div class="custom ml-0" *ngIf="tab.show == true">
                    <a href="javascript:void(0)" class="d-flex align-items-end" (click)="clickStaffTabs(tab)"
                       [ngClass]="tab.active === true ? 'active' : 'inactive'">
                      <span class="flex-fill" style="line-height: 28px;">{{ tab.title }} </span>
                      <div *ngIf="tab.validate == 1" class="material-icons ml-2"
                           style="font-size: 24px;color: rgba(59, 161, 88, 0.945);float: right;">
                        check_circle
                      </div>
                      <div *ngIf="tab.validate == 2" class="material-icons ml-2"
                           style="font-size: 24px; color: red; float: right">
                        error_outline
                      </div>
                    </a>
                  </div>
                </div>
              </div>
            </div>

            <div class="col-12 mt-2 c-vertical-wrapper w-100 pl-5">
              <a (click)="openPopup('setScheduleforPractitioner')"> Set Practitioner Schedules > </a>
            </div>

          </form>
        </div>
      </div>
    </mat-tab>
  </mat-tab-group>
</div>

<div class="text-right footer-container">
  <div class="pt-3">
    <button mat-stroked-button color="accent" class="footer-btn-customize"
            style="margin-right: 1% !important; width: 85px !important;" (click)="cancel();">
      <span>Cancel</span>
    </button>
    <button mat-stroked-button color="accent" class="footer-btn-customize"
            style="margin-right: 1% !important; width: 85px !important;" (click)="back();"
            *ngIf="!displayPersonalInformationSection"><span>Back</span></button>
    <button mat-raised-button color="accent" class="footer-btn-customize" (click)="submitStaff();"
            [disabled]="disableNextButton() || submitting">{{ saveBtnText }}</button>
  </div>
</div>

<!-- common popup start-->
<kendo-dialog *ngIf="showPopup" (close)="closePopups(whichPopup)" [height]="auto" [width]="800"
              autoFocusedElement="#nocancel">
  <div class="modalHeight">
    <div class="col-xl-12 p-0">
      <div class="custom-delete-modal">
        <span class="QUI_BOLD_18_32 deletetext text-uppercase">
          <span *ngIf="whichPopup == 'deleteOtherLocationError'">
            <img src="../../../../../assets/error_info.svg">
          </span>
          <span>
            {{popupHeaderTitle}}
          </span>
        </span>
        <button mat-icon-button (click)="closePopups(whichPopup)" aria-label="Close dialog">
          <mat-icon>close</mat-icon>
        </button>
      </div>
    </div>
    <mat-divider></mat-divider>
    <div class="deleteDescription">
      <p class="HEL_REG_16_22 patientdeletemodal custom-font lightcolor pt-2">
        {{popupBodyContent}}
      </p>
      <ul *ngIf="whichPopup == 'setScheduleforPractitioner'" class="list-custom p-0">
        <li class="list-custom"><a (click)="goToRhodesSchedule()">{{popupBodyContentLink}}</a></li>
        <li class="list-custom"><a (click)="goToMascottSchedule()">{{popupBodyContentLink1}}</a></li>
      </ul>
    </div>
    <mat-divider></mat-divider>
    <mat-dialog-content>
      <div class="text-right control-row bottom-btn">
        <div class="pt-3">
          <button *ngIf="whichPopup != 'setScheduleforPractitioner'" mat-stroked-button color="accent"
                  class="mr-3 footer-btn-customize" (click)="closePopups(whichPopup)" id="nocancel"
                  style="padding: 0 10px">
            <span>
              No
            </span>
          </button>
          <button *ngIf="whichPopup != 'setScheduleforPractitioner'" mat-raised-button color="accent"
                  class="mr-3 footer-btn-customize" (click)="performAction(whichPopup)" id="nocancel"
                  style="padding: 0 10px;margin-right: 0px !important;">
            <span> Yes</span>
          </button>
          <button *ngIf="whichPopup == 'setScheduleforPractitioner'" mat-raised-button color="accent"
                  class="mr-3 footer-btn-customize" (click)="closePopups(whichPopup)" id="nocancel"
                  style="padding: 0 10px;margin-right: 0px !important;">
            <span> OK</span>
          </button>
        </div>
      </div>
    </mat-dialog-content>
  </div>
</kendo-dialog>
<!-- common popup end-->
